<script>
  import { csv } from "d3-fetch";
  import { onMount } from "svelte";
  import Scatter from "./_ex_4_scatter.svelte";
  // updated
  // Load the data
  let data = null;
  onMount(async () => {
    data = await csv("/data/cars-2.csv");
  });
  
  // Configurations
   const s1 = {
    x: (d) => +d.Horsepower,
    y: (d) => +d.Acceleration,
    xLabel: "Horsepower",
    yLabel: "Acceleration"
  };
  const s2 = {
    x: (d) => +d.Displacement,
    y: (d) => +d.Miles_per_Gallon,
    xLabel: "Displacement",
    yLabel: "Miles per Gallon"
  };
  $: selected_local1=[];
  $: selected_local2=[];
  $: selected_1=selected_local2.map((d,idx) => {if(d==true && selected_local2[idx]==true) {return true} return false});
  $: selected_2=selected_local1.map((d,idx) => {if(d==true && selected_local1[idx]==true) {return true} return false});
  $: selected_both=selected_1.map((d,idx) => {if(selected_1[idx]==true && selected_2[idx]==true) {return true} return false});

</script>
{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <Scatter {data} {selected_both} {...s1} bind:selected_local={selected_local1}/>
  <Scatter {data} {selected_both}{...s2} bind:selected_local={selected_local2} />
{/if}
